//
// Syd: rock-solid application kernel
// src/kernel/ptrace/event/mod.rs: ptrace(2) event handlers
//
// Copyright (c) 2025 Ali Polatel <alip@chesswob.org>
//
// SPDX-License-Identifier: GPL-3.0

/// ptrace(2) exec event handler
pub(crate) mod exec;

/// ptrace(2) exit event handler
pub(crate) mod exit;

/// ptrace(2) fork event handler
pub(crate) mod fork;

/// ptrace(2) seccomp event handler
pub(crate) mod scmp;

/// ptrace(2) signal event handler
pub(crate) mod sig;

/// ptrace(2) syscall exit event handler
pub(crate) mod sysx;
